## purpose 1.0%2Bgit20150907

=== src/CMakeLists.txt ===
add_library(KF5Purpose
    pluginbase.cpp
    job.cpp
    alternativesmodel.cpp
    configuration.cpp
)
target_include_directories(KF5Purpose PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>"
                                             "$<BUILD_INTERFACE:${Purpose_BINARY_DIR}>"
                                      INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/purpose>"
)
target_link_libraries(KF5Purpose
    PUBLIC
        KF5::CoreAddons
        Qt5::Gui
)
set_target_properties(KF5Purpose PROPERTIES VERSION ${PURPOSE_VERSION_STRING}
                                          SOVERSION ${PURPOSE_SOVERSION}
                                          EXPORT_NAME Purpose
)

install(TARGETS KF5Purpose EXPORT KDEExperimentalPurposeTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})
add_library(KF5::Purpose ALIAS KF5Purpose)

generate_export_header(KF5Purpose EXPORT_FILE_NAME ${Purpose_BINARY_DIR}/purpose/purpose_export.h BASE_NAME Purpose)
ecm_generate_headers(Purpose_CamelCase_HEADERS
    HEADER_NAMES
        PluginBase
        AlternativesModel
        Job
        Configuration
    REQUIRED_HEADERS Purpose_HEADERS
    PREFIX Purpose
)

install(FILES ${Purpose_CamelCase_HEADERS}
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/purpose/Purpose/
        COMPONENT Devel)
install(FILES
  ${Purpose_BINARY_DIR}/purpose/purpose_export.h
  ${Purpose_HEADERS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/purpose/purpose COMPONENT Devel
)

add_subdirectory(plugins)
add_subdirectory(quick)
add_subdirectory(widgets)

=== src/plugins/CMakeLists.txt ===
function(add_share_plugin name)
    kcoreaddons_add_plugin(${name} SOURCES ${ARGN} JSON "${name}.json" INSTALL_NAMESPACE "purpose")
    target_link_libraries(${name} Qt5::Core KF5::Purpose)

    if(EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/${name}_config.qml")
        install(FILES "${name}_config.qml" DESTINATION ${DATA_INSTALL_DIR}/purpose)
    endif()
endfunction()

set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
find_package(KAccounts REQUIRED)
find_package(QMLModule 0.1 COMPONENTS Ubuntu.OnlineAccounts)
find_package(QMLModule 1.0 COMPONENTS org.kde.kdeconnect)

add_subdirectory(saveas)
add_subdirectory(imgur)
add_subdirectory(pastebin)
add_subdirectory(ktp-sendfile)
if (KAccounts_FOUND)
    add_subdirectory(youtube)
endif()
add_subdirectory(kdeconnect)
add_subdirectory(reviewboard)

install(FILES ExportPluginType.json DESTINATION ${DATA_INSTALL_DIR}/purpose/types)

=== src/quick/CMakeLists.txt ===
add_library(purposequickplugin purposequickplugin.cpp)
target_link_libraries(purposequickplugin Qt5::Qml KF5Purpose)

install(TARGETS purposequickplugin DESTINATION ${QML_INSTALL_DIR}/org/kde/purpose)
install(FILES qmldir DESTINATION ${QML_INSTALL_DIR}/org/kde/purpose)

install( FILES
        PurposeWizard.qml
        AlternativesView.qml
        RunningJob.qml
        DESTINATION ${QML_INSTALL_DIR}/org/kde/purpose
)

=== src/widgets/CMakeLists.txt ===
qt5_add_resources(qmlfiles_SRCS purposewidgets-resources.qrc)
add_library(KF5PurposeWidgets menu.cpp ${qmlfiles_SRCS})

target_link_libraries(KF5PurposeWidgets
    PUBLIC
        KF5::Purpose
        Qt5::Widgets
    PRIVATE
        Qt5::Qml
        KF5::Declarative
)
set_target_properties(KF5PurposeWidgets PROPERTIES VERSION ${PURPOSE_VERSION_STRING}
                                          SOVERSION ${PURPOSE_SOVERSION}
                                          EXPORT_NAME PurposeWidgets
)
target_include_directories(KF5PurposeWidgets PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>"
                                             "$<BUILD_INTERFACE:${Purpose_BINARY_DIR}>"
                                      INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/purposewidgets>"
)

install(TARGETS KF5PurposeWidgets EXPORT KDEExperimentalPurposeTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})
add_library(KF5::PurposeWidgets ALIAS KF5PurposeWidgets)

ecm_generate_headers(PurposeWidgets_CamelCase_HEADERS
    HEADER_NAMES
        Menu
    REQUIRED_HEADERS PurposeWidgets_HEADERS
    PREFIX PurposeWidgets
)
install(FILES ${PurposeWidgets_CamelCase_HEADERS}
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/purposewidgets/PurposeWidgets/
        COMPONENT Devel)
install(FILES
  ${PurposeWidgets_HEADERS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/purposewidgets/purposewidgets COMPONENT Devel
)

=== src/plugins/imgur/CMakeLists.txt ===
add_share_plugin(imgurplugin imgurplugin.cpp mpform.cpp)
target_link_libraries(imgurplugin KF5::KIOCore KF5::I18n)

=== src/plugins/saveas/CMakeLists.txt ===
add_share_plugin(saveasplugin saveasplugin.cpp)
target_link_libraries(saveasplugin KF5::KIOCore KF5::I18n)

## purpose 1.0+git20150907

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)

project(Purpose)

find_package(ECM 1.7.0 REQUIRED NO_MODULE)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

set(REQUIRED_QT_VERSION "5.2")
find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core Qml Gui Test)
include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings)
include(KDECMakeSettings)

include(FeatureSummary)
include(GenerateExportHeader)

include(ECMSetupVersion)
include(ECMAddTests)
include(ECMInstallIcons)
include(ECMGenerateHeaders)

set(KF5_VERSION "5.7.0") # handled by release scripts
set(KF5_DEP_VERSION "5.7.0") # handled by release scripts

find_package(KF5 ${KF5_DEP_VERSION} REQUIRED COMPONENTS CoreAddons I18n KIO Declarative)

ecm_setup_version(${KF5_VERSION} VARIABLE_PREFIX PURPOSE
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/purpose_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KDEExperimentalPurposeConfigVersion.cmake"
                        SOVERSION 5)

add_subdirectory( autotests )
add_subdirectory( src )
add_subdirectory( tests )

add_definitions(-DTRANSLATION_DOMAIN=\"purpose5\")
if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
    ki18n_install(po)
endif()

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KDEExperimentalPurpose")

include(ECMPackageConfigHelpers)

ecm_configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KDEExperimentalPurposeConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KDEExperimentalPurposeConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KDEExperimentalPurposeConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KDEExperimentalPurposeConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KDEExperimentalPurposeTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KDEExperimentalPurposeTargets.cmake NAMESPACE KDEExperimental:: )

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/purpose_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/purpose COMPONENT Devel
)

feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== autotests/CMakeLists.txt ===
ecm_add_tests(alternativesmodeltest LINK_LIBRARIES Qt5::Test KF5::Purpose)
ecm_add_tests(menutest LINK_LIBRARIES Qt5::Test KF5::PurposeWidgets)

=== tests/tool/CMakeLists.txt ===
qt5_add_resources(sharetool_SRCS sharetool-resources.qrc)

add_executable(sharetool main.cpp ${sharetool_SRCS})
target_link_libraries(sharetool KF5::Purpose KF5::I18n KF5::CoreAddons KF5::Declarative Qt5::Qml Qt5::Widgets)

=== src/plugins/ktp-sendfile/CMakeLists.txt ===
add_share_plugin(ktpsendfileplugin ktpsendfileplugin.cpp)
target_link_libraries(ktpsendfileplugin KF5::I18n)

=== src/plugins/youtube/CMakeLists.txt ===
add_subdirectory(icons)
set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

# TODO: remove when depending on KDE Applications 15.08
if (NOT DEFINED kaccounts_add_service)
    find_dependency(AccountsQt5 REQUIRED)
    include(cmake/FindAccountsFileDir.cmake)

    find_program(INTLTOOLMERGE intltool-merge)
    if(NOT INTLTOOLMERGE)
        message(FATAL_ERROR "couldn't find intltool-merge")
    endif()

    function(kaccounts_add_service service_file_in)
        get_filename_component(service_filename ${service_file_in} NAME_WE)
        set(service_file ${CMAKE_CURRENT_BINARY_DIR}/${service_filename}.service)


        execute_process(COMMAND ${INTLTOOLMERGE} -x -u --no-translations ${service_file_in} ${service_file})
        install(FILES ${service_file} DESTINATION ${ACCOUNTS_SERVICES_DIR})
    endfunction()
    include_directories(${ACCOUNTSQT_INCLUDE_DIRS})
endif ()

kaccounts_add_service(${CMAKE_CURRENT_SOURCE_DIR}/google-youtube.service.in)

add_share_plugin(youtubeplugin youtubeplugin.cpp youtubejob.cpp youtubejobcomposite.cpp)
target_link_libraries(youtubeplugin KF5::WidgetsAddons KF5::KIOCore Qt5::Network KF5::I18n KF5::Purpose KAccounts)

=== debian/changelog ===
purpose (1.0+git20150907-0ubuntu1) wily; urgency=medium

  * New upstream snapshot to fix overlapping files

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 07 Oct 2015 13:53:29 +0100

purpose (1.0-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Clive Johnston <clivejo@aol.com>  Thu, 24 Sep 2015 17:13:21 +0100

purpose (1.0~rc1-0ubuntu1) wily; urgency=medium

  * Package for Kubuntu
  * Fix the watch file 

 -- Clive Johnston <clivejo@aol.com>  Fri, 07 Aug 2015 22:28:47 +0100

=== debian/control ===
Source: purpose
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Build-Depends: cmake,
               debhelper (>= 9.0.0),
               extra-cmake-modules,
               intltool,
               kaccounts-integration,
               kdeconnect-plasma,
               libaccounts-glib-dev,
               libaccounts-qt5-dev,
               libkaccounts-dev,
               libkf5coreaddons-dev,
               libkf5declarative-dev,
               libkf5kcmutils-dev,
               libkf5wallet-dev,
               libsignon-qt5-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qml-module-ubuntu-onlineaccounts,
               qtbase5-dev,
               qtdeclarative5-dev-tools
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/playground/libs/purpose
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/purpose.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/purpose.git

Package: libkf5purpose-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5purpose5 (= ${binary:Version}),
         libkf5purposewidgets5 (= ${binary:Version}),
         ${misc:Depends}
Description: library for abstractions to get the developer's purposes fulfilled
 Framework for providing abstractions to get the developer's purposes fulfilled.
 .
 Contains development files for Purpose.

Package: libkf5purpose5
Architecture: any
Multi-Arch: same
Depends: kde-telepathy-send-file,
         kdeconnect-plasma,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: qml-modules-org-kde-purpose (= ${binary:Version})
Description: library for abstractions to get the developer's purposes fulfilled
 Framework for providing abstractions to get the developer's purposes fulfilled.
 .
 Does not contain development files for Purpose.

Package: libkf5purposewidgets5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library for abstractions to get the developer's purposes fulfilled
 Framework for providing abstractions to get the developer's purposes fulfilled.
 .
 Does not contain development files for Purpose.

Package: qml-modules-org-kde-purpose
Architecture: any
Multi-Arch: same
Depends: kdeconnect-plasma,
         qml-module-ubuntu-onlineaccounts,
         ${misc:Depends},
         ${shlibs:Depends}
Description: library for abstractions to get the developer's purposes fulfilled
 Framework for providing abstractions to get the developer's purposes fulfilled.
 .
 Contains the Qt Quick QML bindings for Purpose.

Package: libkf5purpose5-dbg
Priority: extra
Section: debug
Architecture: any
Multi-Arch: same
Depends: libkf5purpose5 (= ${binary:Version}) | libkf5purposewidgets5 (= ${binary:Version}) | qml-modules-org-kde-purpose (= ${binary:Version}),
         ${misc:Depends}
Description: debug symbols for Purpose
 Framework for providing abstractions to get the developer's purposes fulfilled.
 .
 Contains debug symbols for Purpose.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_auto_configure:
	$(overridden_command) -- -DCMAKE_CXX_FLAGS="-I/usr/include/accounts-qt5/"

override_dh_strip:
	$(overridden_command) --dbg-package=libkf5purpose5-dbg

override_dh_makeshlibs:
	$(overridden_command) -Xusr/lib/$(DEB_HOST_GNU_TYPE)/qt5/plugins/purpose/ -Xusr/lib/$(DEB_HOST_GNU_TYPE)/libReviewboardHelpers.so

.PHONY: override_dh_auto_test

=== debian/tests/control ===
Tests: testsuite
Depends: @builddeps@, build-essential,
         xvfb, xauth, dbus-x11, openbox
Restrictions: rw-build-tree

=== debian/watch ===
version=3
http://download.kde.org/unstable/purpose/purpose-(.*)\.tar\.xz
http://download.kde.org/stable/purpose/purpose-(.*)\.tar\.xz

## purpose 1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,9 +7,9 @@
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
 
 set(REQUIRED_QT_VERSION "5.2")
-find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core Qml Gui Test)
+find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core Qml Gui Widgets Test)
 include(KDEInstallDirs)
-include(KDEFrameworkCompilerSettings)
+include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
 include(KDECMakeSettings)
 
 include(FeatureSummary)
@@ -20,10 +20,10 @@
 include(ECMInstallIcons)
 include(ECMGenerateHeaders)
 
-set(KF5_VERSION "5.7.0") # handled by release scripts
+set(KF5_VERSION "5.8.0") # handled by release scripts
 set(KF5_DEP_VERSION "5.7.0") # handled by release scripts
 
-find_package(KF5 ${KF5_DEP_VERSION} REQUIRED COMPONENTS CoreAddons I18n KIO Declarative)
+find_package(KF5 ${KF5_DEP_VERSION} REQUIRED COMPONENTS CoreAddons I18n)
 
 ecm_setup_version(${KF5_VERSION} VARIABLE_PREFIX PURPOSE
                         VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/purpose_version.h"

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,11 @@
     job.cpp
     alternativesmodel.cpp
     configuration.cpp
+    helper.cpp
+    externalprocess/processjob.cpp
 )
+set_source_files_properties(externalprocess/processjob.cpp PROPERTIES COMPILE_FLAGS "-DCMAKE_INSTALL_FULL_LIBEXECDIR_KF5=\\\"${CMAKE_INSTALL_FULL_LIBEXECDIR_KF5}\\\"")
+
 target_include_directories(KF5Purpose PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>"
                                              "$<BUILD_INTERFACE:${Purpose_BINARY_DIR}>"
                                       INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/purpose>"
@@ -12,6 +16,8 @@
     PUBLIC
         KF5::CoreAddons
         Qt5::Gui
+    PRIVATE
+        Qt5::Network #QLocalSocket
 )
 set_target_properties(KF5Purpose PROPERTIES VERSION ${PURPOSE_VERSION_STRING}
                                           SOVERSION ${PURPOSE_SOVERSION}
@@ -41,6 +47,11 @@
   DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/purpose/purpose COMPONENT Devel
 )
 
+add_executable(purposeprocess externalprocess/purposeprocess_main.cpp helper.cpp)
+target_link_libraries(purposeprocess KF5::Purpose Qt5::Network Qt5::Widgets)
+install(TARGETS purposeprocess DESTINATION ${KDE_INSTALL_LIBEXECDIR_KF5})
+
 add_subdirectory(plugins)
 add_subdirectory(quick)
 add_subdirectory(widgets)
+

=== src/plugins/CMakeLists.txt ===
--- 
+++ 
@@ -7,10 +7,31 @@
     endif()
 endfunction()
 
+set(KPACKAGE_RELATIVE_DATA_INSTALL_DIR "kpackage")
+function(kpackage_install_package dir component root)
+   set(install_dir ${ARGV3})
+   if(NOT install_dir)
+      set(install_dir ${KPACKAGE_RELATIVE_DATA_INSTALL_DIR})
+   endif()
+   install(DIRECTORY ${dir}/ USE_SOURCE_PERMISSIONS
+           DESTINATION ${DATA_INSTALL_DIR}/${install_dir}/${root}/${component}
+           PATTERN Messages.sh EXCLUDE)
+endfunction()
+
 set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
+include(QMLModules)
+find_qmlmodule(Ubuntu.OnlineAccounts 0.1)
+find_qmlmodule(org.kde.kdeconnect 1.0)
+find_qmlmodule(org.kde.kquickcontrolsaddons 2.0)
+
 find_package(KAccounts REQUIRED)
-find_package(QMLModule 0.1 COMPONENTS Ubuntu.OnlineAccounts)
-find_package(QMLModule 1.0 COMPONENTS org.kde.kdeconnect)
+find_package(KF5KIO ${KF5_DEP_VERSION} REQUIRED)
+
+set_package_properties(KAccounts PROPERTIES
+                       PURPOSE "Used to find your system-wide defined, for now only for YouTube."
+                       TYPE OPTIONAL
+)
+set_package_properties(KF5KIO PROPERTIES TYPE REQUIRED)
 
 add_subdirectory(saveas)
 add_subdirectory(imgur)
@@ -18,6 +39,9 @@
 add_subdirectory(ktp-sendfile)
 if (KAccounts_FOUND)
     add_subdirectory(youtube)
+
+    kpackage_install_package(twitter Twitter Purpose)
+    kaccounts_add_service(${CMAKE_CURRENT_SOURCE_DIR}/twitter-microblog.service.in)
 endif()
 add_subdirectory(kdeconnect)
 add_subdirectory(reviewboard)

=== src/plugins/youtube/CMakeLists.txt ===
add_subdirectory(icons)

kaccounts_add_service(${CMAKE_CURRENT_SOURCE_DIR}/google-youtube.service.in)

add_share_plugin(youtubeplugin youtubeplugin.cpp youtubejob.cpp youtubejobcomposite.cpp)
target_link_libraries(youtubeplugin KF5::WidgetsAddons KF5::KIOCore Qt5::Network KF5::I18n KF5::Purpose KAccounts)

=== debian/changelog ===
purpose (1.1-4) unstable; urgency=medium

  * Use nodejs instead of the nodejs-legacy dep (Closes: 848602)
    Thanks to Ben Longbons for reporting

 -- Maximiliano Curia <maxy@debian.org>  Tue, 20 Dec 2016 16:36:52 +0100

purpose (1.1-3) unstable; urgency=medium

  * Use the new kf5 dev names
  * Make nodejs an arch qualified dependency
  * Add missing breaks/replaces.
    Thanks to Andreas Beckmann for reporting (Closes: 846574)

 -- Maximiliano Curia <maxy@debian.org>  Tue, 06 Dec 2016 20:55:55 +0100

purpose (1.1-2) unstable; urgency=medium

  * Upload to unstable.
  * Make the transitional packages arch:any
  * Avoid circular dependencies

 -- Maximiliano Curia <maxy@debian.org>  Wed, 09 Nov 2016 13:53:13 +0100

purpose (1.1-1) experimental; urgency=medium

  [ Jonathan Riddell ]
  * Initial Package
  * add new runtime dependencies and install new twitter plugin
  * add twitter runtime dep nodejs-legacy
  * move depends to suggests for now, they bring in too many dependencies until kf5 versions are built
  * add back depends on kdeconnect now that we built it in neon and it's installable
  * dep on kdeconnect not kdeconnect-plasma
  * fix watch file
  * fix mangled files
  * cmake ignore runtime bits
  * ignore shlibs on plugins
  * add lintian overrides
  * description-too-long
  * use ci version to allow installs
  * qml deps
  * it didn't like ci:buildversion
  * just override lintian error for -dev dep version, needs to wait for version numbers with debian to sync before we can use a proper version again
  * fix version
  * add transitional package for libkf5purposewidgets5
  * rename to qml-modules-org-kde-purpose

  [ Harald Sitter ]
  * fix qml dependencies
  * install new stuff
  * add new library
  * add more missing qml deps
  * install new dev so
  * fix bad copynpaste
  * add symbol files because symbol files are kewl
  * lintian override private lib
  * symbol update
  * make sure the dev package depends on the widget lib
  * revise build deps
  * remove bloody workarounds
  * override existing runtime deps
  * add back dep on kdeconnect-plasma as the kdeconnect plugin is in the lib
  * mangle rc version to not be shit
  * also mangle the alpha
  * sod off lintian
  * import test rigging from kio
  * install built bins to make sure all relevant qml deps are here
  * install new localization
  * twitter and youtube need kquickcontrolsaddons
  * recommend libkf5purpose-bin for consistency
  * force qml module to depend on -bin

  [ Clive Johnston ]
  * Fixing watch file
  * Updating symbols file
  * Adding missing file to libkf5purpose5.install
  * Adding unusual-interpreter to lintian overrides
  * Adding new and removing MISSING symbols

  [ Rohan Garg ]
  * Try building purpose without a bdep on qml-module-ubuntu-onlineaccounts
  * Remove runtime dependencies from build-dependencies
  * Install all services together

  [ Maximiliano Curia ]
  * Add a .gitattributes file to use dpkg-mergechangelogs
  * Initial tweaking
  * Update copyiright information
  * Add upstream metadata (DEP-12)
  * Update descriptions
  * Bump Standards-Version to 3.9.8
  * Update build-deps and deps with the info from cmake
  * Update tests
  * Split plugins libexec and data from the lib package
  * Add me as a human maintainer
  * The tests require kinit
  * Provide swrast for the tests
  * Add patch: use_nodejs.diff
  * Depend on nodejs for the twitter script
  * Add a symbols file
  * Inject the bin dependency through the symbols file
  * Install reviewboardhelper
  * Fix the acc file
  * Add missing dependencies
  * Downgrade kdeconnect dependency to recommends.
  * Update build-deps and deps with the info from cmake
  * Drop unused -dbg package
  * Drop circular -bin<->lib dependency
  * Drop ubuntu specific dependency
  * Add the libKF5PurposeWidgets.so.5 symbols to the symbols file
  * Add package-must-activate-ldconfig-trigger lintian override for helper lib libReviewboardHelpers.so

  [ Raymond Wooninck ]
  * Use a different version string
  * Get the right conflict/replace in place
  * Fix version strings

 -- Maximiliano Curia <maxy@debian.org>  Fri, 14 Oct 2016 18:18:00 +0200

=== debian/control ===
Source: purpose
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9.0.0),
               extra-cmake-modules (>= 1.7.0~),
               intltool,
               kaccounts-integration,
               libaccounts-glib-dev,
               libaccounts-qt5-dev,
               libkaccounts-dev,
               libkf5coreaddons-dev (>= 5.7.0~),
               libkf5declarative-dev,
               libkf5i18n-dev (>= 5.7.0~),
               libkf5kcmutils-dev,
               libkf5kio-dev (>= 5.7.0~),
               libkf5wallet-dev,
               libsignon-qt5-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.2~),
               qtdeclarative5-dev (>= 5.2~)
Standards-Version: 3.9.8
Homepage: https://quickgit.kde.org/?p=purpose.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/frameworks/purpose.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/frameworks/purpose.git

Package: libkf5purpose-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5coreaddons-dev (>= 5.7.0~),
         libkf5purpose5 (= ${binary:Version}),
         libkf5purpose-bin (= ${binary:Version}),
         qtbase5-dev (>= 5.2~),
         ${misc:Depends}
Description: abstraction to provide and leverage actions of a specific kind, devel files
 Purpose offers the possibility to create integrate services and actions on
 any application without having to implement them specifically. Purpose will
 offer them mechanisms to list the different alternatives to execute given the
 requested action type and will facilitate components so that all the plugins
 can receive all the information they need.
 .
 This package contains the Purpose development files.

Package: libkf5purpose5
Architecture: any
Multi-Arch: same
Depends: qml-module-org-kde-kquickcontrolsaddons,
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: libkf5purposewidgets5 (<< 1.1-2~)
Replaces: libkf5purposewidgets5 (<< 1.1-2~)
Recommends: libkf5purpose-bin, qml-module-org-kde-purpose (= ${binary:Version})
Suggests: kde-telepathy-send-file
Description: library for abstractions to get the developer's purposes fulfilled
 Framework for providing abstractions to get the developer's purposes fulfilled.
 .
 This package contains the Purpose library.

Package: libkf5purpose-bin
Architecture: any
Multi-Arch: same
Depends: nodejs [!armel],
         qml-module-org-kde-kquickcontrolsaddons,
         qml-module-qtquick-dialogs,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: kdeconnect
Breaks: libkf5purpose5 (<< ${source:Version}~ciBuild), kamoso (<< 3.2.1~)
Replaces: libkf5purpose5 (<< ${source:Version}~ciBuild), kamoso (<< 3.2.1~)
Description: abstraction to provide and leverage actions of a specific kind, runtime
 Purpose offers the possibility to create integrate services and actions on
 any application without having to implement them specifically. Purpose will
 offer them mechanisms to list the different alternatives to execute given the
 requested action type and will facilitate components so that all the plugins
 can receive all the information they need.
 .
 This package contains the Purpose runtime elements.

Package: qml-module-org-kde-purpose
Architecture: any
Multi-Arch: same
Replaces: qml-modules-org-kde-purpose (<< ${source:Version}~ciBuild)
Breaks: qml-modules-org-kde-purpose (<< ${source:Version}~ciBuild)
Depends: qml-module-qtquick-controls,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: kdeconnect
Description: abstraction to provide and leverage actions of a specific kind, qml bindings
 Purpose offers the possibility to create integrate services and actions on
 any application without having to implement them specifically. Purpose will
 offer them mechanisms to list the different alternatives to execute given the
 requested action type and will facilitate components so that all the plugins
 can receive all the information they need.
 .
 This package contains the Purpose Qt Quick QML bindings.

Package: qml-modules-org-kde-purpose
Architecture: any
Multi-Arch: same
Depends: qml-module-org-kde-purpose (= ${binary:Version})
Section: oldlibs
Priority: extra
Description: transitional package for renamed qml-module-org-kde-purpose
 Transitional package for renamed qml-module-org-kde-purpose.  This
 package can be safely removed.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_auto_test:
	# Disable auto_tests at build time
	:

override_dh_makeshlibs:
	$(overridden_command) -Xusr/lib/$(DEB_HOST_GNU_TYPE)/qt5/plugins/purpose/ -Xusr/lib/$(DEB_HOST_GNU_TYPE)/libReviewboardHelpers.so

override_dh_shlibdeps:
	$(overridden_command) -plibkf5purpose5 -- -xlibkf5purpose-bin
	$(overridden_command) --remaining-packages

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus-x11, openbox, kinit, libgl1-mesa-dri
Restrictions: build-needed

Tests: acc
Depends: @, dh-acc, exuberant-ctags
Restrictions: allow-stderr

=== debian/watch ===
version=3
http://download.kde.org/stable/purpose/purpose-(.*)\.tar\.xz

## purpose 5.44.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)

project(Purpose)

find_package(ECM 5.44.0 REQUIRED NO_MODULE)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

set(REQUIRED_QT_VERSION "5.2")
find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core Qml Gui DBus Widgets Network Test)
include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)

include(FeatureSummary)
include(GenerateExportHeader)

include(ECMSetupVersion)
include(ECMAddTests)
include(ECMInstallIcons)
include(ECMGenerateHeaders)
include(ECMMarkNonGuiExecutable)
include(ECMQtDeclareLoggingCategory)

set(KF5_VERSION "5.44.0") # handled by release scripts
set(KF5_DEP_VERSION "5.44.0") # handled by release scripts

find_package(KF5 ${KF5_DEP_VERSION} REQUIRED COMPONENTS CoreAddons I18n Config)

# Debian is a special snow flake and uses nodejs as binary name
# https://lists.debian.org/debian-devel-announce/2012/07/msg00002.html
if(EXISTS "/etc/debian_version") # is debian system?
    set(NODEJS_BINARY "nodejs" CACHE PATH "The binary name for the nodejs interpreter")
else() # sane system
    set(NODEJS_BINARY "node" CACHE PATH "The binary name for the nodejs interpreter")
endif()

ecm_setup_version(${KF5_VERSION} VARIABLE_PREFIX PURPOSE
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/purpose_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5PurposeConfigVersion.cmake"
                        SOVERSION 5)

add_subdirectory( autotests )
add_subdirectory( src )
add_subdirectory( tests )

add_definitions(-DTRANSLATION_DOMAIN=\"purpose5\")
if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
    ki18n_install(po)
endif()

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5Purpose")

include(ECMPackageConfigHelpers)

ecm_configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5PurposeConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5PurposeConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5PurposeConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5PurposeConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5PurposeTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5PurposeTargets.cmake NAMESPACE KF5:: )

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/purpose_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/purpose COMPONENT Devel
)

feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)

install( FILES purpose.categories DESTINATION ${KDE_INSTALL_CONFDIR} )

#TODO: Remove somewhen in the future
install(FILES
  "${CMAKE_CURRENT_SOURCE_DIR}/KDEExperimentalPurposeConfig.cmake"
  DESTINATION "${KDE_INSTALL_CMAKEPACKAGEDIR}/KDEExperimentalPurpose"
  COMPONENT Devel
)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,7 @@
+qt5_add_resources(purpose_SRCS standard-plugin-types.qrc)
+
+configure_file(${CMAKE_CURRENT_SOURCE_DIR}/cmake-paths.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/cmake-paths.h)
+
 add_library(KF5Purpose
     pluginbase.cpp
     job.cpp
@@ -5,8 +9,8 @@
     configuration.cpp
     helper.cpp
     externalprocess/processjob.cpp
+    ${purpose_SRCS}
 )
-set_source_files_properties(externalprocess/processjob.cpp PROPERTIES COMPILE_FLAGS "-DCMAKE_INSTALL_FULL_LIBEXECDIR_KF5=\\\"${CMAKE_INSTALL_FULL_LIBEXECDIR_KF5}\\\"")
 
 target_include_directories(KF5Purpose PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>"
                                              "$<BUILD_INTERFACE:${Purpose_BINARY_DIR}>"
@@ -17,14 +21,16 @@
         KF5::CoreAddons
         Qt5::Gui
     PRIVATE
+        Qt5::DBus
         Qt5::Network #QLocalSocket
+        KF5::ConfigCore
 )
 set_target_properties(KF5Purpose PROPERTIES VERSION ${PURPOSE_VERSION_STRING}
                                           SOVERSION ${PURPOSE_SOVERSION}
                                           EXPORT_NAME Purpose
 )
 
-install(TARGETS KF5Purpose EXPORT KDEExperimentalPurposeTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})
+install(TARGETS KF5Purpose EXPORT KF5PurposeTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})
 add_library(KF5::Purpose ALIAS KF5Purpose)
 
 generate_export_header(KF5Purpose EXPORT_FILE_NAME ${Purpose_BINARY_DIR}/purpose/purpose_export.h BASE_NAME Purpose)
@@ -48,6 +54,7 @@
 )
 
 add_executable(purposeprocess externalprocess/purposeprocess_main.cpp helper.cpp)
+ecm_mark_nongui_executable(purposeprocess)
 target_link_libraries(purposeprocess KF5::Purpose Qt5::Network Qt5::Widgets)
 install(TARGETS purposeprocess DESTINATION ${KDE_INSTALL_LIBEXECDIR_KF5})

=== tests/tool/CMakeLists.txt ===
qt5_add_resources(sharetool_SRCS sharetool-resources.qrc)

add_executable(sharetool main.cpp ${sharetool_SRCS})
target_link_libraries(sharetool KF5::Purpose KF5::I18n KF5::CoreAddons Qt5::Qml Qt5::Widgets)

=== src/plugins/pastebin/CMakeLists.txt ===
add_share_plugin(pastebinplugin pastebinplugin.cpp)
target_link_libraries(pastebinplugin KF5::KIOCore KF5::I18n)

=== debian/changelog ===
purpose (5.44.0-0ubuntu1) bionic; urgency=medium

  * Install debug categories file
  * New upstream release (5.44.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 12 Mar 2018 20:00:31 +0000

purpose (5.43.0-0ubuntu1) bionic; urgency=medium

  [ Rik Mills ]
  * Drop nodejs patch. Changes to set required executable applied upstream
  * Update install files
  * Update lintian-overrides for newly installed files
  * Install new nextcloud service & wrap-and-sort
  * New upstream RC Release (1.1.90)
  * Transitional packages now change from priority extra to optional
  * Update symbols from build log
  * New upstream release (5.43.0)

  [ Clive Johnston ]
  * Update libkf5purpose-bin.install to install versioned libs

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 11 Feb 2018 11:17:55 +0000

purpose (1.1-5ubuntu2) artful; urgency=medium

  * Re-add transitional qml-modules-org-kde-purpose binary to
    ensure smooth lts to lts upgrades. Thanks Jeremy!
    (Can be dropped after 18.04 release).

 -- Bhavani Shankar <bhavi@ubuntu.com>  Thu, 22 Jun 2017 17:14:12 +0530

purpose (1.1-5ubuntu1) artful; urgency=medium

  * Resync from Debian unstable. Remaining changes:
    - Add transitional libkf5purposewidgets5 package
    (Needed till next LTS Ubuntu 18.04 release).

 -- Bhavani Shankar <bhavi@ubuntu.com>  Tue, 20 Jun 2017 14:08:55 +0530

purpose (1.1-5) unstable; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * Downgrade nodejs to Recommends.
    Thanks to Bob Tracy for reporting (Closes: 855486)

  [ Pino Toscano ]
  * Switch Homepage to a working cgit.kde.org URL.
  * Drop the transitional qml-modules-org-kde-purpose binary.
    - fix the version of breaks/replaces in qml-module-org-kde-purpose to
      1.1-5~
  * Remove unused debian/meta/cmake-ignore file.
  * Use $(DEB_HOST_MULTIARCH) instead of $(DEB_HOST_GNU_TYPE) in excluded
    paths for dh_makeshlibs, so it properly works also on i386 architectures.
  * Fix Git web interface URLs in debian/upstream/metadata.

 -- Pino Toscano <pino@debian.org>  Sun, 18 Jun 2017 14:57:16 +0200

purpose (1.1-4ubuntu1) zesty; urgency=medium

  * Sync with Debian.
  * Add transitional libkf5purposewidgets5 package

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 25 Dec 2016 09:40:00 -0500

purpose (1.0-0ubuntu2) UNRELEASED; urgency=medium

  [ Scarlett Clark ]
  * Backport to xenial.

  [ Clive Johnston ]
  * Refresh symbols
  * Updating VCS fields in control file

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 26 Apr 2016 14:37:15 -0700

purpose (1.0-0ubuntu1) UNRELEASED; urgency=medium

  * New upstream release
    - Updated symbol files
    - Adding missing file to libkf5purpose5.install
  * Fixing install file, again!
  * Refreshing symbols

 -- Clive Johnston <clivejo@aol.com>  Tue, 01 Dec 2015 19:24:36 +0000

=== debian/control ===
Source: purpose
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9.0.0),
               extra-cmake-modules (>= 5.44.0~),
               intltool,
               kaccounts-integration,
               libaccounts-glib-dev,
               libaccounts-qt5-dev,
               libkaccounts-dev,
               libkf5coreaddons-dev (>= 5.44.0~),
               libkf5declarative-dev (>= 5.44.0~),
               libkf5i18n-dev (>= 5.44.0~),
               libkf5kcmutils-dev (>= 5.44.0~),
               libkf5kio-dev (>= 5.44.0~),
               libkf5wallet-dev (>= 5.44.0~),
               libsignon-qt5-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev,
               qtdeclarative5-dev-tools
Standards-Version: 3.9.8
Homepage: https://cgit.kde.org/purpose.git/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/purpose
Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/purpose

Package: libkf5purpose-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5coreaddons-dev (>= 5.44.0~),
         libkf5purpose-bin (= ${binary:Version}),
         libkf5purpose5 (= ${binary:Version}),
         qtbase5-dev (>= 5.2~),
         ${misc:Depends}
Description: abstraction to provide and leverage actions of a specific kind, devel files
 Purpose offers the possibility to create integrate services and actions on
 any application without having to implement them specifically. Purpose will
 offer them mechanisms to list the different alternatives to execute given the
 requested action type and will facilitate components so that all the plugins
 can receive all the information they need.
 .
 This package contains the Purpose development files.

Package: libkf5purpose5
Architecture: any
Multi-Arch: same
Depends: qml-module-org-kde-kquickcontrolsaddons,
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: libkf5purposewidgets5 (<< 1.1-3~)
Replaces: libkf5purposewidgets5 (<< 1.1-3~)
Recommends: libkf5purpose-bin, qml-module-org-kde-purpose (= ${binary:Version})
Suggests: kde-telepathy-send-file
Description: library for abstractions to get the developer's purposes fulfilled
 Framework for providing abstractions to get the developer's purposes fulfilled.
 .
 This package contains the Purpose library.

Package: libkf5purpose-bin
Architecture: any
Multi-Arch: same
Depends: qml-module-org-kde-kquickcontrolsaddons,
         qml-module-qtquick-dialogs,
         qml-module-ubuntu-onlineaccounts,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: kdeconnect, nodejs | nodejs-legacy
Breaks: kamoso (<< 3.2.1~), libkf5purpose5 (<< ${source:Version}~ciBuild)
Replaces: kamoso (<< 3.2.1~), libkf5purpose5 (<< ${source:Version}~ciBuild)
Description: abstraction to provide and leverage actions of a specific kind, runtime
 Purpose offers the possibility to create integrate services and actions on
 any application without having to implement them specifically. Purpose will
 offer them mechanisms to list the different alternatives to execute given the
 requested action type and will facilitate components so that all the plugins
 can receive all the information they need.
 .
 This package contains the Purpose runtime elements.

Package: qml-module-org-kde-purpose
Architecture: any
Multi-Arch: same
Replaces: qml-modules-org-kde-purpose (<< 1.1-5~)
Breaks: qml-modules-org-kde-purpose (<< 1.1-5~)
Depends: qml-module-qtquick-controls,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: kdeconnect, qml-module-ubuntu-onlineaccounts
Description: abstraction to provide and leverage actions of a specific kind, qml bindings
 Purpose offers the possibility to create integrate services and actions on
 any application without having to implement them specifically. Purpose will
 offer them mechanisms to list the different alternatives to execute given the
 requested action type and will facilitate components so that all the plugins
 can receive all the information they need.
 .
 This package contains the Purpose Qt Quick QML bindings.

Package: qml-modules-org-kde-purpose
Architecture: any
Multi-Arch: same
Depends: qml-module-org-kde-purpose (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Section: oldlibs
Priority: optional
Description: transitional package for renamed qml-module-org-kde-purpose
 Transitional package for renamed qml-module-org-kde-purpose.  This
 package can be safely removed.

Package: libkf5purposewidgets5
Architecture: any
Multi-Arch: same
Depends: libkf5purpose5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Section: oldlibs
Priority: optional
Description: Transitional package
 This transitional package can be removed.
 .
 Does not contain development files for Purpose.

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 	:
 
 override_dh_makeshlibs:
-	$(overridden_command) -Xusr/lib/$(DEB_HOST_GNU_TYPE)/qt5/plugins/purpose/ -Xusr/lib/$(DEB_HOST_GNU_TYPE)/libReviewboardHelpers.so
+	$(overridden_command) -Xusr/lib/$(DEB_HOST_MULTIARCH)/qt5/plugins/purpose/
 
 override_dh_shlibdeps:
 	$(overridden_command) -plibkf5purpose5 -- -xlibkf5purpose-bin

=== debian/tests/control ===
#Tests: testsuite
#Depends: @, @builddeps@, build-essential,
#         xvfb, xauth, dbus-x11, openbox, kinit, libgl1-mesa-dri
#Restrictions: build-needed
#
Tests: acc
Depends: @, dh-acc, exuberant-ctags
Restrictions: allow-stderr
